Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class CommandLineOption

    java.lang.Object
      org.apache.axis2.util.CommandLineOption

All Implemented Interfaces:
  CommandLineOptionConstants

    public class CommandLineOption

extends Object
implements CommandLineOptionConstants

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.util.CommandLineOptionConstants
`CommandLineOptionConstants.ExtensionArguments, CommandLineOptionConstants.WSDL2JavaConstants`

Field Summary

Fields inherited from interface org.apache.axis2.util.CommandLineOptionConstants
`SOLE_INPUT`

Constructor Summary
`CommandLineOption(String type, ArrayList values)`
`CommandLineOption(String type, String[] values)`

Method Summary
`String` | `getOptionType()`
`String` | `getOptionValue()`
`ArrayList` | `getOptionValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineOption

    public CommandLineOption(String type,
                             String[] values)

### CommandLineOption

    public CommandLineOption(String type,
                             ArrayList values)

Parameters:
  `type` -

Method Detail

### getOptionType

    public String getOptionType()

  Returns:
    Returns the type.
  See Also:
    `CommandLineOptionConstants`

### getOptionValue

    public String getOptionValue()

  Returns:
    Returns the optionValues.

### getOptionValues

    public ArrayList getOptionValues()

  Returns:
    Returns the optionValues.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.